> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sorsa.io/llms.txt
> Use this file to discover all available pages before exploring further.

# リツイートの確認

> ユーザーが対象ツイートをリツイートしたか確認します。1回で最大100リツイートを調べ、それ以上あれば`next_cursor`で続きを確認できます。ユーザーは`username`、`user_link`、`user_id`で指定します。



## OpenAPI

````yaml /openapi-ja.json post /check-retweet
openapi: 3.0.3
info:
  contact: {}
  title: Sorsa.io API
  version: '3.0'
servers:
  - url: https://api.sorsa.io/v3
security: []
paths:
  /check-retweet:
    post:
      tags:
        - アクションの確認
      summary: リツイートの確認
      description: >-
        ユーザーが対象ツイートをリツイートしたか確認します。1回で最大100リツイートを調べ、それ以上あれば`next_cursor`で続きを確認できます。ユーザーは`username`、`user_link`、`user_id`で指定します。
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/verification.CheckRetweetReq'
        description: ツイートリンクとユーザー名が必須。next_cursorは不要。
        required: true
        x-originalParamName: payload
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/verification.CheckRetweetResp'
          description: 成功
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/handler.ErrorResponse'
          description: 不正なリクエスト
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/handler.ErrorResponse'
          description: 認証失敗
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/handler.ErrorResponse'
          description: アクセス拒否
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/handler.ErrorResponse'
          description: 見つかりません
        '429':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/handler.ErrorResponse'
          description: リクエスト過多
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/handler.ErrorResponse'
          description: 内部サーバーエラー
      security:
        - ApiKeyAuth: []
components:
  schemas:
    verification.CheckRetweetReq:
      properties:
        next_cursor:
          type: string
        tweet_link:
          type: string
        user_id:
          type: string
        user_link:
          type: string
        username:
          type: string
      type: object
    verification.CheckRetweetResp:
      properties:
        next_cursor:
          description: 必要に応じてリツイートの続きを確認するカーソル。
          type: string
        retweet:
          description: ユーザーがツイートをリツイートしていれば`true`。
          type: boolean
        user_protected:
          description: 確認対象ユーザーが非公開なら`true`。
          type: boolean
      type: object
    handler.ErrorResponse:
      properties:
        message:
          type: string
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: ApiKey
      type: apiKey

````